package ru.myitschool.work.domain.auth

import ru.myitschool.work.data.dto.AuthResponseDto
import ru.myitschool.work.data.repo.AuthRepository

class CheckAndSaveAuthCodeUseCase(
    private val repository: AuthRepository
) {
    suspend operator fun invoke(
        login: String,
        password: String
    ): Result<AuthResponseDto> {
        return repository.checkAndSave(login, password)
    }
}